
Redmine - Defect #4595

jstoolbar.js : this.toolbar is undefined line 205

2010-01-16 15:52 - Jérémy Lal

Status: Closed Start date: 2010-01-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

logged as admin, on page "settings", a javascript error involving jstoolbar :

this.toolbar is undefined on line 205, around :

draw: function(mode) {

        this.setMode(mode);

        // Empty toolbar

        while (this.toolbar.hasChildNodes()) {

            this.toolbar.removeChild(this.toolbar.firstChild)

        }

        this.toolNodes = {}; // vide les raccourcis DOM/**/

 

 reproduced using redmine 0.9-stable, on chrome and firefox.

History

#1 - 2010-01-17 11:16 - Jean-Philippe Lang

Can't reproduce. I don't have any javascript errors when going to Administration -> Setting with 0.9-stable or trunk and Firefox 3.5.7.

#2 - 2010-01-17 15:03 - Jérémy Lal

- Status changed from New to Resolved

Another false alert...

i was not running rails 2.3, and fell for a rails 2.2 bug...

sorry, closing.

#3 - 2010-01-17 15:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks.
